#ifndef _PCI_H
#define _PCI_H

#define PCI_DEVICE_ID_2_PORT  0x0004
#define PCI_DEVICE_ID_4_PORT  0x0001
#define PCI_DEVICE_ID_8_PORT  0x0002
#define PCI_DEVICE_ID_16_PORT 0x0003

#define PCI_DEVICE_ID_2_8255  0x0101

#define PCI_VENDER_ID  0x6666

int IsPCIPresent(void);
unsigned int FindPCIDevice(unsigned int);
unsigned int FindPCIClassCode(unsigned int);
unsigned char ReadPCIConfigByte (unsigned int, int);
unsigned int ReadPCIConfigWord (unsigned int, int);
unsigned long ReadPCIConfigDWord (unsigned int, int);
int GetPCICardInfo (unsigned int deviceID, unsigned int *addr);

#endif /*_TYPEDEF_H*/
